Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class DbSearchQuery

    java.lang.Object
      org.linuxsampler.lscp.DbSearchQuery

    public class DbSearchQuery

extends java.lang.Object

This class represents a query containg the search criterias for the instruments to obtain.

Nested Class Summary
`static class` | `DbSearchQuery.InstrumentType`

Field Summary
`java.lang.String` | `artists`
`java.util.Date` | `createdAfter`
`java.util.Date` | `createdBefore`
`java.lang.String` | `description`
`java.util.Vector<java.lang.String>` | `formatFamilies`
`DbSearchQuery.InstrumentType` | `instrumentType`
`java.lang.String` | `keywords`
`long` | `maxSize`
`long` | `minSize`
`java.util.Date` | `modifiedAfter`
`java.util.Date` | `modifiedBefore`
`java.lang.String` | `name`
`java.lang.String` | `product`

Constructor Summary
`DbSearchQuery()` Creates a new instance of `DbSearchQuery`

Method Summary
`java.lang.String` | `getCreatedAfter()`
`java.lang.String` | `getCreatedBefore()`
`java.lang.String` | `getModifiedAfter()`
`java.lang.String` | `getModifiedBefore()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### formatFamilies

    public java.util.Vector<java.lang.String> formatFamilies

### minSize

    public long minSize

### maxSize

    public long maxSize

### createdBefore

    public java.util.Date createdBefore

### createdAfter

    public java.util.Date createdAfter

### modifiedBefore

    public java.util.Date modifiedBefore

### modifiedAfter

    public java.util.Date modifiedAfter

### description

    public java.lang.String description

### product

    public java.lang.String product

### artists

    public java.lang.String artists

### keywords

    public java.lang.String keywords

### instrumentType

    public DbSearchQuery.InstrumentType instrumentType

Constructor Detail

### DbSearchQuery

    public DbSearchQuery()

  Creates a new instance of `DbSearchQuery`

Method Detail

### getCreatedBefore

    public java.lang.String getCreatedBefore()

### getCreatedAfter

    public java.lang.String getCreatedAfter()

### getModifiedBefore

    public java.lang.String getModifiedBefore()

### getModifiedAfter

    public java.lang.String getModifiedAfter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.